Bug 1729197 - [abrt] nftables: munmap_chunk(): nft killed by SIGABRT
Summary: [abrt] nftables: munmap_chunk(): nft killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nftables
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:83bed5c6706ed6b1982f30a1a56...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 14:38 UTC by Gabríel Arthúr Pétursson
Modified: 2020-05-26 14:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:38:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (7.67 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: cgroup (399 bytes, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: core_backtrace (2.29 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: dso_list (837 bytes, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: environ (5.49 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: maps (5.98 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: mountinfo (3.89 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: open_fds (1.13 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-07-11 14:38 UTC, Gabríel Arthúr Pétursson
no flags Details

Description Gabríel Arthúr Pétursson 2019-07-11 14:38:18 UTC
Description of problem:
$ cat /etc/sysconfig/nftables.conf
table inet filter {
        include "/etc/nftables/customer/*"
}
$ mkdir -p /etc/nftables/customer
$ touch /etc/nftables/customer/f{00,01,02,03,04,05,06,07,08,09,10,11,12,13,14}
$ cat /etc/nftables/customer/f01
set s1 {
    type ipv4_addr
    flags constant,interval
}

set s2 {
    type ipv4_addr
    flags constant,interval
    elements = {
    1.1.1.1
    }
}
$ systemctl reload nftables

Version-Release number of selected component:
1:nftables-0.9.0-5.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        nft flush ruleset; include "/etc/sysconfig/nftables.conf";
crash_function: munmap_chunk
executable:     /usr/sbin/nft
journald_cursor: s=d895d7df2b0c4a2aace031882a2a98ef;i=9d539;b=6115920025684066aadbfaf9dbf15f32;m=a5b36b390f;t=58d68ab5f063c;x=174d4acda2b2dc2e
kernel:         5.1.15-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #4 munmap_chunk at malloc.c:2840
 #5 scanner_destroy at scanner.l:900
 #6 nft_run_cmd_from_buffer at libnftables.c:469

Comment 1 Gabríel Arthúr Pétursson 2019-07-11 14:38:21 UTC
Created attachment 1589551 [details]
File: backtrace

Comment 2 Gabríel Arthúr Pétursson 2019-07-11 14:38:22 UTC
Created attachment 1589552 [details]
File: cgroup

Comment 3 Gabríel Arthúr Pétursson 2019-07-11 14:38:23 UTC
Created attachment 1589553 [details]
File: core_backtrace

Comment 4 Gabríel Arthúr Pétursson 2019-07-11 14:38:24 UTC
Created attachment 1589554 [details]
File: cpuinfo

Comment 5 Gabríel Arthúr Pétursson 2019-07-11 14:38:25 UTC
Created attachment 1589555 [details]
File: dso_list

Comment 6 Gabríel Arthúr Pétursson 2019-07-11 14:38:27 UTC
Created attachment 1589556 [details]
File: environ

Comment 7 Gabríel Arthúr Pétursson 2019-07-11 14:38:28 UTC
Created attachment 1589557 [details]
File: limits

Comment 8 Gabríel Arthúr Pétursson 2019-07-11 14:38:29 UTC
Created attachment 1589558 [details]
File: maps

Comment 9 Gabríel Arthúr Pétursson 2019-07-11 14:38:31 UTC
Created attachment 1589559 [details]
File: mountinfo

Comment 10 Gabríel Arthúr Pétursson 2019-07-11 14:38:32 UTC
Created attachment 1589560 [details]
File: open_fds

Comment 11 Gabríel Arthúr Pétursson 2019-07-11 14:38:33 UTC
Created attachment 1589561 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2020-04-30 21:34:55 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Gunnar Guðvarðarson 2020-05-01 01:10:38 UTC
Reproduced on Fedora 32 https://bugzilla.redhat.com/show_bug.cgi?id=1830174

Comment 14 Ben Cotton 2020-05-26 14:38:46 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.